> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.gitiho.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.gitiho.com/_mcp/server.

# Danh sách chức vụ

GET https://example.gitiho.com/api/position

Trả về danh sách chức vụ đang có trên hệ thống

**Query Params:**

| **Param** | **Type** | **Bắt buộc** | **Default** | **Mô tả** |
| --- | --- | --- | --- | --- |
| page | int | Không | 1 | Trang dữ liệu cần lấy. |
| limit | int | Không | 15 | Số lượng bản ghi trả về |
| keyword | string | không | null | Từ khoá tìm kiếm chức vụ |

**Response:** Xem example response

Reference: https://developer.gitiho.com/gitiho-business-api/admin/position-quản-ly-chức-vụ/danh-sách-chức-vụ

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/position:
    get:
      operationId: Danh sách chức vụ
      summary: Danh sách chức vụ
      description: |-
        Trả về danh sách chức vụ đang có trên hệ thống

        **Query Params:**

        | **Param** | **Type** | **Bắt buộc** | **Default** | **Mô tả** |
        | --- | --- | --- | --- | --- |
        | page | int | Không | 1 | Trang dữ liệu cần lấy. |
        | limit | int | Không | 15 | Số lượng bản ghi trả về |
        | keyword | string | không | null | Từ khoá tìm kiếm chức vụ |

        **Response:** Xem example response
      tags:
        - positionQuảnLyChứcVụ
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/type_admin/positionQuảnLyChứcVụ:DanhSachChứcVụPositionQuảnLyChứcVụResponse
servers:
  - url: https://example.gitiho.com
    description: Default
components:
  schemas:
    type_admin/positionQuảnLyChứcVụ:DanhSachChứcVụPositionQuảnLyChứcVụResponseDataDataItem:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        employer_count:
          type: integer
      required:
        - id
        - name
        - created_at
        - updated_at
        - employer_count
      title: DanhSachChứcVụPositionQuảnLyChứcVụResponseDataDataItem
    type_admin/positionQuảnLyChứcVụ:DanhSachChứcVụPositionQuảnLyChứcVụResponseDataLinksItem:
      type: object
      properties:
        url:
          oneOf:
            - description: Any type
            - type: 'null'
        label:
          type: string
        active:
          type: boolean
      required:
        - label
        - active
      title: DanhSachChứcVụPositionQuảnLyChứcVụResponseDataLinksItem
    type_admin/positionQuảnLyChứcVụ:DanhSachChứcVụPositionQuảnLyChứcVụResponseData:
      type: object
      properties:
        to:
          type: integer
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/type_admin/positionQuảnLyChứcVụ:DanhSachChứcVụPositionQuảnLyChứcVụResponseDataDataItem
        from:
          type: integer
        path:
          type: string
          format: uri
        links:
          type: array
          items:
            $ref: >-
              #/components/schemas/type_admin/positionQuảnLyChứcVụ:DanhSachChứcVụPositionQuảnLyChứcVụResponseDataLinksItem
        total:
          type: integer
        per_page:
          type: integer
        last_page:
          type: integer
        current_page:
          type: integer
        last_page_url:
          type: string
          format: uri
        next_page_url:
          oneOf:
            - description: Any type
            - type: 'null'
        prev_page_url:
          oneOf:
            - description: Any type
            - type: 'null'
        first_page_url:
          type: string
          format: uri
      required:
        - to
        - data
        - from
        - path
        - links
        - total
        - per_page
        - last_page
        - current_page
        - last_page_url
        - first_page_url
      title: DanhSachChứcVụPositionQuảnLyChứcVụResponseData
    type_admin/positionQuảnLyChứcVụ:DanhSachChứcVụPositionQuảnLyChứcVụResponse:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/type_admin/positionQuảnLyChứcVụ:DanhSachChứcVụPositionQuảnLyChứcVụResponseData
        status:
          type: string
      required:
        - data
        - status
      title: DanhSachChứcVụPositionQuảnLyChứcVụResponse

```

## Examples

**Response**

```json
{
  "data": {
    "to": 5,
    "data": [
      {
        "id": 24,
        "name": "Nhân viên",
        "created_at": "2023-09-18 10:50:29",
        "updated_at": "2024-12-26 11:54:12",
        "employer_count": 12
      },
      {
        "id": 28,
        "name": "Giám đốc",
        "created_at": "2024-12-26 11:53:49",
        "updated_at": "2024-12-26 11:53:49",
        "employer_count": 2
      },
      {
        "id": 38,
        "name": "kế toán",
        "created_at": "2025-04-22 09:55:52",
        "updated_at": "2025-04-22 09:55:52",
        "employer_count": 0
      },
      {
        "id": 39,
        "name": "Junior Dev",
        "created_at": "2025-08-12 17:49:59",
        "updated_at": "2025-08-12 17:49:59",
        "employer_count": 0
      },
      {
        "id": 40,
        "name": "Senior Dev",
        "created_at": "2025-08-12 17:50:06",
        "updated_at": "2025-08-12 17:50:06",
        "employer_count": 0
      }
    ],
    "from": 1,
    "path": "https://sub2.gitihov1.com/api/position",
    "links": [
      {
        "label": "&laquo; Trang trước",
        "active": false
      },
      {
        "label": "1",
        "active": true,
        "url": "https://sub2.gitihov1.com/api/position?page=1"
      },
      {
        "label": "Trang sau &raquo;",
        "active": false
      }
    ],
    "total": 5,
    "per_page": 15,
    "last_page": 1,
    "current_page": 1,
    "last_page_url": "https://sub2.gitihov1.com/api/position?page=1",
    "first_page_url": "https://sub2.gitihov1.com/api/position?page=1"
  },
  "status": "success"
}
```

**SDK Code**

```python
import requests

url = "https://example.gitiho.com/api/position"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.gitiho.com/api/position';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.gitiho.com/api/position"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.gitiho.com/api/position")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.gitiho.com/api/position")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.gitiho.com/api/position');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.gitiho.com/api/position");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.gitiho.com/api/position")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```